PtexWriterBase::MetaEntry Struct Reference

`#include <PtexWriter.h>`

## Public Member Functions

| MetaEntry ()

## Public Attributes

std::string | key
MetaDataType | datatype
std::vector< uint8_t > | data

## Detailed Description

Definition at line 82 of file PtexWriter.h.

## Constructor & Destructor Documentation

## MetaEntry()

PtexWriterBase::MetaEntry::MetaEntry | ( |  | ) |

inline

Definition at line 86 of file PtexWriter.h.

## Member Data Documentation

## data

std::vector<uint8_t> PtexWriterBase::MetaEntry::data

Definition at line 85 of file PtexWriter.h.

Referenced by PtexWriterBase::addMetaData(), PtexMainWriter::writeMetaData(), and PtexWriterBase::writeMetaDataBlock().

## datatype

MetaDataType PtexWriterBase::MetaEntry::datatype

Definition at line 84 of file PtexWriter.h.

Referenced by PtexWriterBase::addMetaData(), PtexMainWriter::writeMetaData(), and PtexWriterBase::writeMetaDataBlock().

## key

std::string PtexWriterBase::MetaEntry::key

Definition at line 83 of file PtexWriter.h.

Referenced by PtexWriterBase::addMetaData(), PtexMainWriter::writeMetaData(), and PtexWriterBase::writeMetaDataBlock().

The documentation for this struct was generated from the following file:

- PtexWriter.h